Index: factory/facAbsFact.cc
===================================================================
--- factory/facAbsFact.cc	(revision ae1735dae5c3034d933f9a8b0c463ff13b4b3521)
+++ factory/facAbsFact.cc	(revision 3ff49d9cd1a014fd33f07da930937feb90959bbf)
@@ -126,5 +126,5 @@
   CanonicalForm w= G*derivH;
   Variable y= Variable (F.level()+1);
-  w= replacevar (w, alpha, y); //teuer
+  w= replacevar (w, alpha, y);
 
   int s= totaldegree (F)/totaldegree (H);
@@ -225,56 +225,5 @@
 }
 
-void
-evaluationWRTDifferentSecondVars4AbsFact (CFList*& Aeval,
-                                          const CFList& evaluation,
-                                          const CanonicalForm& A)
-{
-  CanonicalForm tmp;
-  CFList tmp2;
-  CFFList uniFactors;
-  CFListIterator iter;
-  bool preserveDegree= true;
-  Variable x= Variable (1);
-  int j, degAi, degA1= degree (A,1);
-  for (int i= A.level(); i > 2; i--)
-  {
-    tmp= A;
-    tmp2= CFList();
-    iter= evaluation;
-    preserveDegree= true;
-    degAi= degree (A,i);
-    for (j= A.level(); j > 1; j--, iter++)
-    {
-      if (j == i)
-        continue;
-      else
-      {
-        tmp= tmp (iter.getItem(), j);
-        tmp2.insert (tmp);
-        if ((degree (tmp, i) != degAi) ||
-            (degree (tmp, 1) != degA1))
-        {
-          preserveDegree= false;
-          break;
-        }
-      }
-    }
-    if (!content(tmp,1).inCoeffDomain())
-      preserveDegree= false;
-    if (!(gcd (deriv (tmp,x), tmp)).inCoeffDomain())
-      preserveDegree= false;
-    uniFactors= factorize (tmp);
-    if (uniFactors.getFirst().factor().inCoeffDomain())
-      uniFactors.removeFirst();
-    if (uniFactors.length() > 1 || uniFactors.getFirst().exp() > 1)
-      preserveDegree= false;
-    if (preserveDegree)
-      Aeval [i - 3]= tmp2;
-    else
-      Aeval [i - 3]= CFList();
-  }
-}
-
-CFAFList absFactorize (const CanonicalForm& G ///<[in] bivariate poly over Q
+CFAFList absFactorize (const CanonicalForm& G
                            )
 {
@@ -381,5 +330,5 @@
 
     TIMING_START (abs_fac_evaluation);
-    evaluationWRTDifferentSecondVars4AbsFact (bufAeval2, bufEvaluation, A);
+    evaluationWRTDifferentSecondVars (bufAeval2, bufEvaluation, A);
     TIMING_END_AND_PRINT (abs_fac_evaluation,
                           "time to eval wrt diff second vars in abs fact: ");
@@ -422,5 +371,6 @@
     {
       if (absBufBiFactors.length() < absBiFactors.length() ||
-          ((bufLift < lift) && (absBufBiFactors.length() == absBiFactors.length())) ||
+          ((bufLift < lift) &&
+          (absBufBiFactors.length() == absBiFactors.length())) ||
           counter > differentSecondVar)
       {
@@ -496,5 +446,5 @@
         for (CFListIterator iter= rationalFactors; iter.hasItem(); iter++)
         {
-          if (totaldegree (iter.getItem())*degree (getMipo (v)) == totaldegree (G))
+          if (totaldegre(iter.getItem())*degree(getMipo(v)) == totaldegree (G))
           {
             factors= CFAFList (CFAFactor (iter.getItem(), getMipo (v), 1));
@@ -550,5 +500,6 @@
 
   if (!LCmultiplierIsConst)
-    distributeLCmultiplier (A, leadingCoeffs, biFactors, evaluation, LCmultiplier);
+    distributeLCmultiplier (A, leadingCoeffs, biFactors, evaluation,
+                            LCmultiplier);
 
   //prepare leading coefficients
@@ -595,5 +546,5 @@
       for (CFListIterator iter= rationalFactors; iter.hasItem(); iter++)
       {
-        if (totaldegree (iter.getItem())*degree (getMipo (v)) == totaldegree (G))
+        if (totaldegree(iter.getItem())*degree (getMipo (v)) == totaldegree (G))
         {
           factors= CFAFList (CFAFactor (iter.getItem(), getMipo (v), 1));
@@ -646,5 +597,5 @@
       CFList contents, LCs;
       bool foundTrueMultiplier= false;
-      LCHeuristic2 (LCmultiplier, rationalFactors, leadingCoeffs2[lengthAeval2-1],
+      LCHeuristic2 (LCmultiplier,rationalFactors,leadingCoeffs2[lengthAeval2-1],
                     contents, LCs, foundTrueMultiplier);
       if (foundTrueMultiplier)
@@ -660,12 +611,12 @@
       {
         bool foundMultiplier= false;
-        LCHeuristic3 (LCmultiplier, rationalFactors, oldBiFactors, contents, oldAeval,
-                      A, leadingCoeffs2, lengthAeval2, foundMultiplier);
+        LCHeuristic3 (LCmultiplier, rationalFactors, oldBiFactors, contents,
+                      oldAeval,A,leadingCoeffs2, lengthAeval2, foundMultiplier);
         // coming from above: divide out more LCmultiplier if possible
         if (foundMultiplier)
         {
           foundMultiplier= false;
-          LCHeuristic4 (oldBiFactors, oldAeval, contents, rationalFactors, testVars,
-                        lengthAeval2, leadingCoeffs2, A, LCmultiplier,
+          LCHeuristic4 (oldBiFactors, oldAeval, contents, rationalFactors,
+                        testVars, lengthAeval2, leadingCoeffs2, A, LCmultiplier,
                         foundMultiplier);
         }
@@ -812,5 +763,5 @@
 
   TIMING_START (abs_fac_hensel_lift);
-  rationalFactors= nonMonicHenselLift (Aeval, biFactors, leadingCoeffs2, diophant,
+  rationalFactors= nonMonicHenselLift (Aeval, biFactors,leadingCoeffs2,diophant,
                                Pi, liftBounds, liftBoundsLength, noOneToOne);
   TIMING_END_AND_PRINT (abs_fac_hensel_lift,
